//-------------------------------------------------------------
// Example of mixing normals and having different base and blur
// textures to create effects.
//        povray <this.pov> +A +W500 +H500
//-------------------------------------------------------------
#version 3.7;

#include "blobblur.inc"

global_settings { assumed_gamma 1 ambient_light srgb <1,1,1> }
#declare Black = srgbft <0,0,0,0,0>;
#declare White = srgbft <1,1,1,0,0>;
#declare Red = srgbft <1,0,0,0,0>;
#declare Green = srgbft <0,1,0,0,0>;
#declare Blue = srgbft <0,0,1,0,0>;
#declare Eternity = srgbft <0.1294,0.102,0.0549,0,0>;
background { color Eternity }
#declare Camera00 = camera {
    orthographic
    location <0,0,-2>
    direction <0,0,1>
    right x*(image_width/image_height)
    up <0,1,0>
}
#declare Light00 = light_source {
    <50,50,-250>, White
    parallel
    point_at <0,0,0>
}
#declare Text00 = text {
    internal 0 "*"
    2, 0.0
    translate <0,0,-1>
}
#declare PTextObj = pigment {
    object { Text00 color Black color Green }
    translate <-0.25,-0.5,0>
    scale 1/1.4
}
#declare Fin00 = finish { ambient 0 diffuse 1 emission 0 }
#declare Txtr00 = texture { pigment { PTextObj } finish { Fin00 } }
#declare PVines = pigment {
    image_map { "vines.jpg" once map_type 0 interpolate 2}
    warp{repeat x flip x}
    warp{repeat y flip y}
    translate <-0.5,-0.5,0.0>
    scale <(image_width/image_height),1,1>
}
#declare PVinesBW = pigment {
    image_pattern { "vines.jpg" once map_type 0 interpolate 2}
    warp{repeat x flip x}
    warp{repeat y flip y}
    translate <-0.5,-0.5,0.0>
    scale <(image_width/image_height),1,1>
}
#declare TVines = texture { pigment { PVinesBW } finish { Fin00 } }
#declare TVinesBW = texture { pigment { PVines } normal { wrinkles 1.5 scale 0.003 } finish { Fin00 } }

//#declare RS=seed(8462);  // To repeat a blur exactly
  #declare RS=seed(now*24*60*60);
  #declare BaseTrfm=transform{scale <3.0,3.0,1.0>}
  #declare BlurTrfm=transform{scale <3.0,3.0,1.0>}
//---
  #declare Blob00=BlobBlur(1,1,3,0,1,1,1,1,1,90,BaseTrfm,BlurTrfm,TVines,TVinesBW,RS)

//---
camera { Camera00 }
light_source { Light00 }
object { Blob00 }
